Package org.firebirdsql.gds.ng.tz

## Interface TimeZoneDatatypeCoder.TimeZoneCodec

- Enclosing class:
    TimeZoneDatatypeCoder

      public static interface TimeZoneDatatypeCoder.TimeZoneCodec

  Simpler API for encoding or decoding `java.time` types.

  The data encoded or decoded depends on the specific Firebird type used to obtain this codec.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.time.OffsetDateTime` | `decodeOffsetDateTime​(byte[] fieldData)` | Decodes an encoded value to an offset date time.
    `java.time.OffsetTime` | `decodeOffsetTime​(byte[] fieldData)` | Decodes an encoded value to an offset time.
    `java.time.ZonedDateTime` | `decodeZonedDateTime​(byte[] fieldData)` | Decodes an encoded value to a zoned date time.
    `byte[]` | `encodeOffsetDateTime​(java.time.OffsetDateTime offsetDateTime)` | Encode an offset date time to an encoded value.
    `byte[]` | `encodeOffsetTime​(java.time.OffsetTime offsetTime)` | Encode an offset time to an encoded value.
    `byte[]` | `encodeZonedDateTime​(java.time.ZonedDateTime zonedDateTime)` | Encode a zoned date time to an encoded value.

- - ### Method Detail

    - #### encodeOffsetDateTime

          byte[] encodeOffsetDateTime​(java.time.OffsetDateTime offsetDateTime)

      Encode an offset date time to an encoded value.
      Parameters:
        `offsetDateTime` - Offset date time instance
      Returns:
        Byte array with encoded value

    - #### decodeOffsetDateTime

          java.time.OffsetDateTime decodeOffsetDateTime​(byte[] fieldData)

      Decodes an encoded value to an offset date time.
      Parameters:
        `fieldData` - Byte array with encoded value
      Returns:
        Offset date time instance

    - #### encodeOffsetTime

          byte[] encodeOffsetTime​(java.time.OffsetTime offsetTime)

      Encode an offset time to an encoded value.
      Parameters:
        `offsetTime` - Offset time instance
      Returns:
        Byte array with encoded value

    - #### decodeOffsetTime

          java.time.OffsetTime decodeOffsetTime​(byte[] fieldData)

      Decodes an encoded value to an offset time.
      Parameters:
        `fieldData` - Byte array with encoded value
      Returns:
        Offset time instance

    - #### encodeZonedDateTime

          byte[] encodeZonedDateTime​(java.time.ZonedDateTime zonedDateTime)

      Encode a zoned date time to an encoded value.
      Parameters:
        `zonedDateTime` - Zoned date time instance
      Returns:
        Byte array with encoded value

    - #### decodeZonedDateTime

          java.time.ZonedDateTime decodeZonedDateTime​(byte[] fieldData)

      Decodes an encoded value to a zoned date time.
      Parameters:
        `fieldData` - Byte array with encoded value
      Returns:
        Zoned date time value